Bug 189347

Summary: standardize ksdata.method for network server installs
Product: [Fedora] Fedora Reporter: James Martin <james_martin>
Component: pykickstartAssignee: Chris Lumens <clumens>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: triage
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 11:48:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description James Martin 2006-04-19 09:09:27 EDT
clumens,

This is jsm from #fedora-devel with a list of feature requests as promised.

1) NFS install type represented differently than http/ftp methods.

I'm not sure why you can use http://your.server.com/path/to/distro but can't use
nfs://your.server.com/path/to/distro in a kickstart file, it seems it would keep
things a little more common--

At any rate, in pykickstart I think it would be beneficial if nfs server
installs were represented the same way as url installs, right now to define a
NFS install, you'd have to set:

ksdata.method = {'method':'nfs', 'dir': dir, 'server':distro_server.hostname}

but with a http install you only have to set:

ksdata.method = {'url':url, 'method':'url'}

Seems like one could just as easily parse out the server name and directory from
a nfs://your.server.com/path/to/distro url.

you might even be able to fold hard drive installations the same way:

harddrive://partition/directory
Comment 1 Bug Zapper 2008-04-03 22:40:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:48:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.